Unit tde56e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, FDE56E_p, FGDE56E_p, FRDE56E_p, DE56E_p;

function tde56e: String;

implementation

function tde56e: String;
var
NX,I,NX1,IERR :Integer;
HX :Real;
XN,XK,P,X0,HMIN,EPS,H :Extended;
BULDY :Boolean;
Y :Array [0..10] of Extended;
DY :Array [0..10] of Extended;
X :Array [0..5] of Extended;
const
CN :Array [0..2] of Extended = ( +1.0e0,-2.0e0,0.0e0 );
CK :Array [0..2] of Extended = ( 1.0e0,2.0e0,0.0e0 );
begin
Result := '';  {   }
XN := -1.0;
XK := 1.0;
P := 11.0;
NX := 6;
HX := 2.0/199.0;
BULDY := True;
HMIN := 1.E-10;
EPS := 0.00001;
H := 0.01;
X[0] := -1.0;
X[1] := X[0]+HX;
X[2] := X[1]+2.0*HX;
X[3] := 2.0;
DE56E(FDE56E,FGDE56E,FRDE56E,XN,XK,CN,CK,NX,X,BULDY,HMIN,EPS,P,
     H,Y,DY,NX1,IERR);
Result := Result + Format('%s',[' IERR=']);
Result := Result + Format('%3d ',[IERR]) + #$0D#$0A;
Result := Result + Format('%s',[' NX1=']);
Result := Result + Format('%5d ',[NX1]);
Result := Result + Format('%s',['           Y']);
Result := Result + Format('%s',['                     DY' + #$0D#$0A]);
Result := Result + #$0D#$0A;
for I:=1 to NX1 do
 begin
  Result := Result + Format('%20.16f %20.16f ',
 [Y[I-1],DY[I-1]]) + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tde56e',Result);  {     tde56e.res }
exit;
end;

end.
